#include "addrs.h"

/**** public API ****/

#define EDBOX_SIZE 240
#define EDBOX_MAXPOS 239

typedef char edbox_t[EDBOX_SIZE];
#define edit_box (*(edbox_t *)EDBOX_ADDR)

extern char edbox_visible;
extern char edbox_len;

/* clear the contents of the edit box (whether it's visible or not) */
void __fastcall__ edbox_clear(void);

/* make the edit box visible */
void edbox_show(void);

/* make the edit box go away (current screen's status lines display instead) */
void edbox_hide(void);

/* put one character into the edit box. */
void edbox_putc(char c);

/* pass a keystroke, insert its character into the edit box. if Return
   is pressed, cmd_execute() gets called. */
void edbox_keystroke(char c);

/* set edit box contents (clears out whatever was there) */
void __fastcall__ edbox_set(char *contents);

/* append a space to the edit box */
void __fastcall__ edbox_addchr(char c);

/* append a space to the edit box */
void __fastcall__ edbox_space(void);
